#!/bin/bash
t=`date +%Y.%h.%d-%H.%d.%S`
(
sleep 2;
echo -e "\r";
sleep 1;
echo -e "read (0-15,0-15) \r";
sleep 5;
echo -e "set voltage limit 1800 \r";
echo -e "\r";
echo -e "write (0-15,0-15) -900\r"; sleep 10;

echo -e "write (0,0) -1438\r"; sleep 2;
echo -e "write (0,1) -1429\r"; sleep 2;
echo -e "write (0,2) -1317\r"; sleep 2;
echo -e "write (0,3) -1140\r"; sleep 2;
echo -e "write (0,4) -1220\r"; sleep 2;
echo -e "write (0,5) -1384\r"; sleep 2;
echo -e "write (0,6) -1260\r"; sleep 2;
echo -e "write (0,9) -1227\r"; sleep 2;
echo -e "write (0,10) -1214\r"; sleep 2;
echo -e "write (0,11) -1219\r"; sleep 2;
echo -e "write (0,12) -1294\r"; sleep 2;
echo -e "write (0,13) -1279\r"; sleep 2;
echo -e "write (0,14) -1386\r"; sleep 2;
echo -e "write (1,0) -1165\r"; sleep 2;
echo -e "write (1,1) -1289\r"; sleep 2;
echo -e "write (1,2) -1411\r"; sleep 2;
echo -e "write (1,3) -1248\r"; sleep 2;
echo -e "write (1,4) -1381\r"; sleep 2;
echo -e "write (1,5) -1408\r"; sleep 2;
echo -e "write (1,6) -1333\r"; sleep 2;
echo -e "write (1,9) -1349\r"; sleep 2;
echo -e "write (1,10) -1237\r"; sleep 2;
echo -e "write (1,11) -1267\r"; sleep 2;
echo -e "write (1,12) -1211\r"; sleep 2;
echo -e "write (1,13) -1334\r"; sleep 2;
echo -e "write (1,14) -1465\r"; sleep 2;
echo -e "write (2,0) -1184\r"; sleep 2;
echo -e "write (2,1) -1328\r"; sleep 2;
echo -e "write (2,2) -1384\r"; sleep 2;
echo -e "write (2,3) -1184\r"; sleep 2;
echo -e "write (2,4) -1508\r"; sleep 2;
echo -e "write (2,5) -1242\r"; sleep 2;
echo -e "write (2,6) -1557\r"; sleep 2;
echo -e "write (2,9) -1215\r"; sleep 2;
echo -e "write (2,10) -1313\r"; sleep 2;
echo -e "write (2,11) -1402\r"; sleep 2;
echo -e "write (2,12) -1265\r"; sleep 2;
echo -e "write (2,13) -1416\r"; sleep 2;
echo -e "write (2,14) -1244\r"; sleep 2;
echo -e "write (3,0) -1338\r"; sleep 2;
echo -e "write (3,1) -1278\r"; sleep 2;
echo -e "write (3,2) -1347\r"; sleep 2;
echo -e "write (3,3) -1262\r"; sleep 2;
echo -e "write (3,4) -1219\r"; sleep 2;
echo -e "write (3,5) -1374\r"; sleep 2;
echo -e "write (3,6) -1265\r"; sleep 2;
echo -e "write (3,9) -1472\r"; sleep 2;
echo -e "write (3,10) -1275\r"; sleep 2;
echo -e "write (3,11) -1288\r"; sleep 2;
echo -e "write (3,12) -1223\r"; sleep 2;
echo -e "write (3,13) -1360\r"; sleep 2;
echo -e "write (3,14) -1187\r"; sleep 2;
echo -e "write (4,0) -1321\r"; sleep 2;
echo -e "write (4,1) -1265\r"; sleep 2;
echo -e "write (4,2) -1253\r"; sleep 2;
echo -e "write (4,3) -1313\r"; sleep 2;
echo -e "write (4,4) -1194\r"; sleep 2;
echo -e "write (4,5) -1267\r"; sleep 2;
echo -e "write (4,6) -1263\r"; sleep 2;
echo -e "write (4,9) -1311\r"; sleep 2;
echo -e "write (4,10) -1443\r"; sleep 2;
echo -e "write (4,11) -1358\r"; sleep 2;
echo -e "write (4,12) -1213\r"; sleep 2;
echo -e "write (4,13) -1600\r"; sleep 2;
echo -e "write (4,14) -1600\r"; sleep 2;
echo -e "write (5,0) -1600\r"; sleep 2;
echo -e "write (5,1) -1600\r"; sleep 2;
echo -e "write (5,2) -1584\r"; sleep 2;
echo -e "write (5,3) -1572\r"; sleep 2;
echo -e "write (5,4) -1600\r"; sleep 2;
echo -e "write (5,5) -1543\r"; sleep 2;
echo -e "write (5,6) -1562\r"; sleep 2;
echo -e "write (5,9) -1600\r"; sleep 2;
echo -e "write (5,10) -1523\r"; sleep 2;
echo -e "write (5,11) -1315\r"; sleep 2;
echo -e "write (5,12) -1160\r"; sleep 2;
echo -e "write (5,13) -1600\r"; sleep 2;
echo -e "write (5,14) -1472\r"; sleep 2;
echo -e "write (6,0) -1525\r"; sleep 2;
echo -e "write (6,1) -1441\r"; sleep 2;
echo -e "write (6,2) -1600\r"; sleep 2;
echo -e "write (6,3) -1392\r"; sleep 2;
echo -e "write (6,4) -1410\r"; sleep 2;
echo -e "write (6,5) -1414\r"; sleep 2;
echo -e "write (6,6) -1579\r"; sleep 2;
echo -e "write (6,9) -1596\r"; sleep 2;
echo -e "write (6,10) -1562\r"; sleep 2;
echo -e "write (6,11) -1613\r"; sleep 2;
echo -e "write (6,12) -1600\r"; sleep 2;
echo -e "write (6,13) -1521\r"; sleep 2;
echo -e "write (6,14) -1375\r"; sleep 2;
echo -e "write (7,0) -1252\r"; sleep 2;
echo -e "write (7,1) -1442\r"; sleep 2;
echo -e "write (7,3) -1374\r"; sleep 2;
echo -e "write (7,4) -1423\r"; sleep 2;
echo -e "write (7,5) -1410\r"; sleep 2;
echo -e "write (7,6) -1627\r"; sleep 2;
echo -e "write (7,8) -1498\r"; sleep 2;
echo -e "write (7,9) -1446\r"; sleep 2;
echo -e "write (7,10) -1376\r"; sleep 2;
echo -e "write (7,11) -1531\r"; sleep 2;
echo -e "write (7,12) -1495\r"; sleep 2;
echo -e "write (7,13) -1444\r"; sleep 2;
echo -e "write (7,14) -1466\r"; sleep 2;
echo -e "write (8,0) -1316\r"; sleep 2;
echo -e "write (8,1) -1408\r"; sleep 2;
echo -e "write (8,2) -1291\r"; sleep 2;
echo -e "write (8,3) -1238\r"; sleep 2;
echo -e "write (8,4) -1253\r"; sleep 2;
echo -e "write (8,5) -1252\r"; sleep 2;
echo -e "write (8,6) -1424\r"; sleep 2;
echo -e "write (8,9) -1222\r"; sleep 2;
echo -e "write (8,10) -1343\r"; sleep 2;
echo -e "write (8,11) -1274\r"; sleep 2;
echo -e "write (8,12) -1358\r"; sleep 2;
echo -e "write (8,13) -1297\r"; sleep 2;
echo -e "write (8,14) -1199\r"; sleep 2;
echo -e "write (9,0) -1236\r"; sleep 2;
echo -e "write (9,1) -1228\r"; sleep 2;
echo -e "write (9,2) -1352\r"; sleep 2;
echo -e "write (9,3) -1414\r"; sleep 2;
echo -e "write (9,4) -1219\r"; sleep 2;
echo -e "write (9,5) -1460\r"; sleep 2;
echo -e "write (9,6) -1520\r"; sleep 2;
echo -e "write (9,9) -1428\r"; sleep 2;
echo -e "write (9,10) -1337\r"; sleep 2;
echo -e "write (9,11) -1482\r"; sleep 2;
echo -e "write (9,12) -1322\r"; sleep 2;
echo -e "write (9,13) -1410\r"; sleep 2;
echo -e "write (9,14) -1373\r"; sleep 2;
echo -e "write (10,0) -1308\r"; sleep 2;
echo -e "write (10,1) -1262\r"; sleep 2;
echo -e "write (10,2) -1162\r"; sleep 2;
echo -e "write (10,3) -1379\r"; sleep 2;
echo -e "write (10,4) -1156\r"; sleep 2;
echo -e "write (10,5) -1240\r"; sleep 2;
echo -e "write (10,6) -1343\r"; sleep 2;
echo -e "write (10,9) -1272\r"; sleep 2;
echo -e "write (10,10) -1600\r"; sleep 2;
echo -e "write (10,11) -1428\r"; sleep 2;
echo -e "write (10,12) -1221\r"; sleep 2;
echo -e "write (10,13) -1274\r"; sleep 2;
echo -e "write (10,14) -1376\r"; sleep 2;
echo -e "write (11,0) -1196\r"; sleep 2;
echo -e "write (11,1) -1329\r"; sleep 2;
echo -e "write (11,2) -1600\r"; sleep 2;
echo -e "write (11,4) -1394\r"; sleep 2;
echo -e "write (11,5) -1394\r"; sleep 2;
echo -e "write (11,6) -1676\r"; sleep 2;
echo -e "write (11,9) -1246\r"; sleep 2;
echo -e "write (11,10) -1287\r"; sleep 2;
echo -e "write (11,11) -1461\r"; sleep 2;
echo -e "write (11,12) -1191\r"; sleep 2;
echo -e "write (11,13) -1411\r"; sleep 2;
echo -e "write (11,14) -1379\r"; sleep 2;
echo -e "write (11,15) -1449\r"; sleep 2;
echo -e "write (12,1) -1265\r"; sleep 2;
echo -e "write (12,2) -1251\r"; sleep 2;
echo -e "write (12,3) -1243\r"; sleep 2;
echo -e "write (12,4) -1271\r"; sleep 2;
echo -e "write (12,5) -1212\r"; sleep 2;
echo -e "write (12,8) -1264\r"; sleep 2;
echo -e "write (12,9) -1236\r"; sleep 2;
echo -e "write (12,10) -1310\r"; sleep 2;
echo -e "write (12,11) -1427\r"; sleep 2;
echo -e "write (12,12) -1450\r"; sleep 2;
echo -e "write (12,13) -1432\r"; sleep 2;
echo -e "write (12,14) -1369\r"; sleep 2;
echo -e "write (12,15) -1437\r"; sleep 2;
echo -e "write (13,0) -1433\r"; sleep 2;
echo -e "write (13,1) -1440\r"; sleep 2;
echo -e "write (13,2) -1547\r"; sleep 2;
echo -e "write (13,3) -1377\r"; sleep 2;
echo -e "write (13,4) -1274\r"; sleep 2;
echo -e "write (13,5) -1423\r"; sleep 2;
echo -e "write (13,6) -1516\r"; sleep 2;
echo -e "write (13,9) -1446\r"; sleep 2;
echo -e "write (13,10) -1411\r"; sleep 2;
echo -e "write (13,11) -1404\r"; sleep 2;
echo -e "write (13,12) -1339\r"; sleep 2;
echo -e "write (13,13) -1358\r"; sleep 2;
echo -e "write (13,14) -1443\r"; sleep 2;
echo -e "write (14,0) -1417\r"; sleep 2;
echo -e "write (14,1) -1540\r"; sleep 2;
echo -e "write (14,2) -1639\r"; sleep 2;
echo -e "write (14,3) -1346\r"; sleep 2;
echo -e "write (14,4) -1600\r"; sleep 2;
echo -e "write (14,5) -1567\r"; sleep 2;
echo -e "write (14,6) -1444\r"; sleep 2;
echo -e "write (14,9) -1652\r"; sleep 2;
echo -e "write (14,10) -1600\r"; sleep 2;
echo -e "write (14,11) -1388\r"; sleep 2;
echo -e "write (14,12) -1543\r"; sleep 2;
echo -e "write (14,13) -1485\r"; sleep 2;
echo -e "write (14,14) -1292\r"; sleep 2;
echo -e "write (15,0) -1473\r"; sleep 2;
echo -e "write (15,1) -1419\r"; sleep 2;

sleep 2;
echo -e "read (0-15,0-15)\r";
sleep 10;
echo -e "\r";
echo -e "\r";
echo -e "^]";
sleep 1;
) | telnet fms-serv.trg.bnl.local 7007 > ../log/fms_hvon_7007_$t.tex
echo Set new HV
cat ../log/fms_hvon_7007_$t.tex
